> For the complete documentation index, see [llms.txt](https://api.lampix.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.lampix.co/application-development/lampixjs/api/readjsonfromfile.md).

# readJsonFromFile

Read JSON data from a file written with [`writeJsonToFile`](/application-development/lampixjs/api/writejsontofile.md).

## Returns

(`Promise<object>`): A promise that fulfills with either `null` (in case the file does not contain valid JSON, or if the file does not exist) or an object with the contents of the file.

## Example

```javascript
import lampix from '@lampix/core';

lampix.readJsonFromFile('answers.json')
  .then(console.log); // { answerToLife: 42 }
```

## Notes

[`localStorage`](https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage) API is also enabled. You can use it instead of this method. `localStorage`, by design, is a blocking I/O operation (synchronous). Use [`writeJsonToFile`](/application-development/lampixjs/api/writejsontofile.md) and `readJsonFromFile` if you want to use non-blocking (asynchronous) I/O operations.

`readJsonFromFile` (like `localStorage`), is application specific. This means one application cannot retrieve the saved data of another application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.lampix.co/application-development/lampixjs/api/readjsonfromfile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
